Skip to main content

Request

[GET]
{{baseURL}}/api/v1/zw/kyc/fcb
HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameter

ParameterTypeDescriptionRequired
id_number *stringZimbabwian National IDrequired
dob *stringdate of birthrequired
name *stringrequired
surname *stringrequired
gender*stringM or Frequired
marital_status*stringM or Srequired
mobile_number*stringrequired

Sample response

uxzz
Response
{
    "entity": {
        "dob": "1901-01-01",
        "full_name": "JOHN DOE",
        "score": 288,
        "status": "GOOD",
        "gender": "F",
        "id_number": "12345678A90"
    }
}

Response Fields

FieldTypeDescription
entityobjectContains the credit check response data
entity.dobstringDate of birth in YYYY-MM-DD format
entity.full_namestringFull name of the individual
entity.scorenumberCredit score value
entity.statusstringCredit status (e.g., GOOD, POOR)
entity.genderstringGender of the individual (M or F)
entity.id_numberstringZimbabwean National ID Number